# Compile.
vlib work
vcom stopwatch.vhdl

# Start simulation from scratch (use this OR the restart below)
vsim -voptargs=+acc stopwatch

# Restart in the simulation core (use this OR the vsim above):
#restart -f

# Add all signals to the wave:
add wave *

# Force a clock to 1, then 0 in 500 ns, and repeat every 1000 ns = 1 us
force -freeze clk 1 0ns, 0 500ns -r 1000ns

# Force reset
force -freeze reset 1 0ns, 0 300ns

# run 150 clock cycles (1 us each)
run 150us

wave zoom full

echo "Testad fil: " [file join [pwd] "stopwatch.vhdl"]

